-----------------------------------------------------------------------------
--  File     : /hook/units/UEL0101/UEL0101_script.lua
--
--  Author(s): EbolaSoup, Resin Smoker, Optimus Prime, Vissroid, Domino
--
--  Summary  : UEF Land Scout Script with Holographic decoys
--
--  Copyright © 2011 4DC_V0.8  All rights reserved.
-----------------------------------------------------------------------------

local TConstructionUnit = import('/lua/terranunits.lua').TConstructionUnit
TConstructionUnit = import('/mods/4DC_V0.8/lua/CustomAbilities/4D_Holograms/4D_Holograms.lua').HologramEmitter( TConstructionUnit )
local TDFMachineGunWeapon = import('/lua/terranweapons.lua').TDFMachineGunWeapon

UEL0101 = Class(TConstructionUnit) {    
    Weapons = {
        MainGun = Class(TDFMachineGunWeapon) {
        },
    },
}
TypeClass = UEL0101